# ******************************************************************************
# Copyright (c) 2020 Contributors to the Eclipse Foundation
#
# See the NOTICE file(s) distributed with this work for additional
# information regarding copyright ownership.
#
# This program and the accompanying materials are made available under the
# terms of the Eclipse Public License v. 2.0 which is available at
# http://www.eclipse.org/legal/epl-2.0.
#
# SPDX-License-Identifier: EPL-2.0
# ******************************************************************************

FROM node:12-alpine

RUN mkdir -p /buildenv/node_modules
RUN mkdir -p /buildenv/root
RUN npm install -g --silent @angular/cli
RUN apk add openjdk8
RUN ln -s /usr/lib/jvm/java-1.8-openjdk/bin/jar /usr/local/bin


